# Get instance list information - ListUKafkaInstance

## Overview

Get instance list information






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `ListUKafkaInstance`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.scloudsg.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Region** | string | Region. See [List of Regions and Availability Zones](/docs/api/summary/regionlist) |**Yes**|
| **Zone** | string | Availability Zone. See [Availability Zone List](/docs/api/summary/regionlist) |**Yes**|
| **ProjectId** | string | Project ID. If not filled in, the default project is used, sub-accounts must be filled in. Please refer to the [GetProjectList interface](/docs/api/summary/get_project_list). |No|
| **Limit** | string | Default is 60 |No|
| **Offset** | string | Default is 0 |No|
| **VPCId** | string | VPCId |No|
| **SubnetId** | string | SubnetId |No|
| **BusinessId** | string | BusinessId |No|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|
| **ClusterSet** | [*ClusterSet*](#clusterset) | Instance Information |**Yes**|
| **TotalCount** | string | Total |**Yes**|

#### Data Model


#### ClusterSet

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Zone** | string | Availability Zone. See [Availability Zone List](/docs/api/summary/regionlist) |No|
| **ClusterInstanceId** | string | Instance Id  |No|
| **ClusterInstanceName** | string | Instance name |No|
| **Framework** | string | framework |No|
| **FrameworkVersion** | string | Kafka framework version |No|
| **Remark** | string | Instance Notes |No|
| **CreateTime** | int | Instance Create timestamp |No|
| **RunningTime** | int | Instance running time |No|
| **ExpireTime** | int | Instance expiration time |No|
| **AutoRenew** | string | Whether to renew automatically |No|
| **ChargeType** | string | Payment Type |No|
| **UHostCount** | int | Number of instance nodes |No|
| **RedundantCount** | int | redundancy count |No|
| **State** | string | Current Instance status, Instance status: "Running"\| "Abnormal"\| "Creating"\| "Deleting"\| "CreateFailed"\| "DeleteFailed"\| "Unavailable"\| "Deleted"\| "Updating"\| "Deploying"\| "Migrating"\| "ExpandFailed". |No|
| **Tag** | string | instance tag |No|
| **InstanceGroupType** | string | Instance Node Type |No|
| **VPCId** | string | Belonging VPC id |No|
| **SubnetId** | string | Subnet ID |No|
| **BusinessId** | string | BusinessId |No|
| **NewMessage** | string | Event Status Unread Message (Deprecated) |No|

## Example

### Request Example
    
```
https://api.scloudsg.com/?Action=ListUKafkaInstance
&Region=cn-zj
&Zone=cn-zj-01
&ProjectId=lrthkcCU
&Limit=UrYjkKTm
&Offset=nORcPySS
&VPCId=ooZXMZYr
&SubnetId=aICLRzKS
&BusinessId=gdOiLduj
```

### Response Example
    
None yet.





